Bug 167045 - pcspkr module still not loaded at boot time
pcspkr module still not loaded at boot time
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 15:18 EDT by Matt Seitz
Modified: 2014-03-16 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 16:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Seitz 2005-08-29 15:18:36 EDT
+++ This bug was initially created as a clone of Bug #160774 +++

Description of problem:
  The pcspkr module is not loaded at boot time.  I had to create an
executable file /etc/rc.modules with "/sbin/modprobe pcspkr" in it to make this
happen.

Version-Release number of selected component (if applicable):
7.93.13.EL-2

How reproducible:
always

Steps to Reproduce:
1.  Boot into RHEL4.
  
Actual results:
Note that the PC speaker doesn't work (no beep at login, etc.).

Expected results:
PC speaker should work.

Additional info:
Clean install of RHEL4.
Comment 1 Bill Nottingham 2005-09-20 16:39:58 EDT
This problem may be resolved in the next release of Red Hat Enterprise Linux, if
the pcspkr and associated input layer code in the kernel is ported to correctly
export module aliases so that support for hotplug/coldplug of such devices
works. Red Hat does not currently plan to provide a resolution for this in a Red
Hat Enterprise Linux update for currently deployed systems.

      With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating changes for inclusion in maintenance updates for
currently deployed products. The primary objectives of update releases are to
enable new hardware platform support and to resolve critical defects. 

Comment 2 Matt Seitz 2005-09-20 18:42:43 EDT
Thanks for responding.  I understand this is not a critical fix and therefore
may be postponed until a future release.  However, I don't understand the need
to support hotplug/coldplug for a PC speaker.  Couldn't this be solved by just
adding the "/etc/rc.modules" file?
Comment 3 Bill Nottingham 2005-09-20 18:45:28 EDT
That's the recommended workaround, yes. We're not planning to add one that does
this by default.
Comment 4 Matt Seitz 2005-09-20 18:53:51 EDT
I'm sorry to hear it.  It's frustrating to enable PC Speaker support from the
Control Center and not have it work.

Note You need to log in before you can comment on or make changes to this bug.